Subject: [lamps] I-D Action: draft-ietf-lamps-lightweight-cmp-profile-06.txt

From: [email-masked]
Date: Fri, 09 Jul 2021 07:41:16 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Lightweight Certificate Management Protocol (CMP) Profile
        Authors         : Hendrik Brockhaus
                          Steffen Fries
                          David von Oheimb
	Filename        : draft-ietf-lamps-lightweight-cmp-profile-06.txt
	Pages           : 92
	Date            : 2021-07-09

Abstract:
   This document aims at simple, interoperable, and automated PKI
   management operations covering typical use cases of industrial and
   IoT scenarios.  This is achieved by profiling the Certificate
   Management Protocol (CMP), the related Certificate Request Message
   Format (CRMF), and HTTP-based or CoAP-based transport in a succinct
   but sufficiently detailed and self-contained way.  To make secure
   certificate management for simple scenarios and constrained devices
   as lightweight as possible, only the most crucial types of operations
   and options are specified as mandatory.  More special and complex use
   cases are supported as well, by features specified as recommended or
   optional.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-lightweight-cmp-profile/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-lightweight-cmp-profile-06.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-lightweight-cmp-profile-06

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 9 Jul 2021 14:54:08 +0000

The update of Lightweight CMP Profile consists of may changes as discussed at IETF 110, on the mailing list and for consistency reasons with the current versions of CMP Algorithms and CMP Updates. The document was also completely reviewed by David to improve reading flow, spelling and grammar.
 
   From version 05 -> 06:
   *  Changed in Section 2.3 the normative requirement in of adding
      protection to a single message to mandatory and replacing
      protection to optional
   *  Added Section 3.4 specifying generic prerequisites to PKI
      management operations
   *  Added Section 3.5 specifying generic message validation
   *  Added Section 3.6 on generic error reporting.  This section
      replaces the former error handling section from Section 4 and 5.
   *  Added reference to using hashAlg
   *  Updates Section 4.3.2 and Section 4.3.3 to align with CMP Updates
   *  Added Section 5.1 specifying the behavior of PKI management
      entities when responding to requests
   *  Reworked Section 5.2.3. on usage of nested messages
   *  Updates Section 5.3 on performing PKI management operation on
      behalf of another entity
   *  Updates Section 6.2 on HTTPS transport of CMP messages as
      discusses at IETF 110 and email thread "I-D Action: draft-ietf-
      lamps-lightweight-cmp-profile-05.txt"
   *  Added CoAP endpoints to Section 6.4
   *  Added security considerations on usage of shared secret
      information
   *  Updated the example in Appendix A
   *  Added newly registered OIDs to the example in Appendix A
   *  Updated new RFC numbers for I-D.ietf-lamps-crmf-update-algs
   *  Multiple language corrections, clarifications, and changes in
      wording

Any feedback is welcome!

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Freitag, 9. Juli 2021 16:41
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrac
> ker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-lightweight-cmp-
> profile%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce2
> 6b4baf412f49454c8a08d942e7c20a%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637614385454848534%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000
> &amp;sdata=3mcln17r91zfrAxZngaFezE6b7MHZy38ccBN7y%2BMna8%3D&amp;
> reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Farchive%2Fid%2Fdraft-ietf-lamps-lightweight-cmp-profile-
> 06.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce26b4
> baf412f49454c8a08d942e7c20a%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637614385454848534%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&am
> p;sdata=Rpj4PN30Es3LC%2Fblv4CDoEZuQeLyayl3WOK33vnJIV0%3D&amp;reser
> ved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-lightweight-cmp-profile-
> 06&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce26b4baf4
> 12f49454c8a08d942e7c20a%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637614385454848534%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=moC4PSywcDkpbMsobT%2BwYctXSQ1IDXsM0OHDslRX%2BH4%3D&amp;re
> served=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org
> %2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce26
> b4baf412f49454c8a08d942e7c20a%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637614385454848534%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=VRh1kUEAQ6xs%2BjFes1Tj2S1rId6SYS6VYRKJ6yA86lU%3D&amp;reser
> ved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7Ce26b4baf412f49454c8a08d942e7c20a%7C38ae3bcd957
> 94fd4addab42e1495d55a%7C1%7C0%7C637614385454848534%7CUnknown%7
> CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJ
> XVCI6Mn0%3D%7C1000&amp;sdata=CDtu93%2FcD97WTas5tMzlJ90RY6uTb%2F
> aK4NKWHpAUfnU%3D&amp;reserved=0